# DescribeEipInternetChargeTypes

## 1. API Description

This API (DescribeEipInternetChargeTypes) is used to query the available elastic IP billing methods for the specified region and line type. Use this to confirm valid billing options before creating an elastic IP.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name          | Required | Type                                                                           | Description                                                                                |
| ----------------------- | -------- | ------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------ |
| regionId                | Yes      | String                                                                         | Region ID                                                                                  |
| eipV4Type \[Deprecated] | No       | [EipNetworkType](/api-reference/compute/zec/datastructure.md#eipnetworktype)   | <p>Network types of public IPv4.</p><p>Deprecated. Please use networkLineType instead.</p> |
| networkLineType         | No       | [NetworkLineType](/api-reference/compute/zec/datastructure.md#networklinetype) | Network types of public IPv4.                                                              |

## 3. Output Parameters

| Parameter Name      | Type                                                                                          | Description                                                                                                           |
| ------------------- | --------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId           | String                                                                                        | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| internetChargeTypes | Array of [InternetChargeType](/api-reference/compute/zec/datastructure.md#internetchargetype) | Information on network types.                                                                                         |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the information of network billing methods for a specified IP network type in a region.**

<pre class="language-json"><code class="lang-json"><strong>POST /api/v2/zec HTTP/1.1
</strong>Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeEipInternetChargeTypes


Request:
{
  "regionId": "asia-east-1",
  "eipV4Type": "BGPLine"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "internetChargeTypes": ["ByBandwidth","ByTrafficPackage"]
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                  | Description                                 |
| ---------------- | --------------------------- | ------------------------------------------- |
| 404              | INVALID\_REGION\_NOT\_FOUND | Specified availability zone does not exist. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/describeeipinternetchargetypes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
